# Class JdbcLoggerFactory

java.lang.Object
com.databricks.jdbc.log.JdbcLoggerFactory

public class JdbcLoggerFactory extends Object
Factory class for creating JDBC logger instances. This class supports creating loggers based on the specified logger implementation. The logger implementation can be specified through a system property "com.databricks.jdbc.loggerImpl". Supported logger implementations include SLF4J and JDK logging.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`LOGGER_IMPL_PROPERTY`

## Method Summary

Modifier and Type
Method
Description
`static JdbcLogger`
`getLogger(Class<?> clazz)`
Returns a `JdbcLogger` instance for the specified class.
`static JdbcLogger`
`getLogger(String name)`
Returns a `JdbcLogger` instance for the specified name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOGGER_IMPL_PROPERTY

public static final String LOGGER_IMPL_PROPERTY

See Also:
  - Constant Field Values

## Method Details

### getLogger

public static JdbcLogger getLogger(Class<?> clazz)
Returns a `JdbcLogger` instance for the specified class.

### getLogger

public static JdbcLogger getLogger(String name)
Returns a `JdbcLogger` instance for the specified name.